Skip to content

Update a role

PUT
/v1/merchants/{merchant_id}/roles/{role_id}/

The permissions are limited to the base permissions of the merchant.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

role_id*string
Formatuuid

Request Body

application/json
  1. body
name*string
description?string
permissions?

Path permissions, see Permissions.

field_permissions?

Field permissions per resource and field, see Permissions. projects is the only resource.

Response Body

The updated role.

application/json
  1. response
id?string
Formatuuid
created?string
Formatdate-time
modified?|
Formatdate-time
name*string
description?string
permissions?

Path permissions, see Permissions.

field_permissions?

Field permissions per resource and field, see Permissions. projects is the only resource.

curl -X PUT 'https://api.example.com/v1/merchants/self/roles/3367941d-75a2-4193-a8ab-add781d5f7f4/' \  --user "$API_KEY:" \  -H 'Content-Type: application/json' \  -d '{  "name": "Order viewer",  "permissions": {    "/orders/**": {      "GET": true    }  }}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "created": "2019-08-24T14:15:22Z",  "modified": "2019-08-24T14:15:22Z",  "name": "string",  "description": "string",  "permissions": {    "property1": {      "GET": true,      "POST": true,      "PUT": true,      "DELETE": true,      "*": true    },    "property2": {      "GET": true,      "POST": true,      "PUT": true,      "DELETE": true,      "*": true    }  },  "field_permissions": {    "property1": {      "property1": {        "read": true,        "write": true      },      "property2": {        "read": true,        "write": true      }    },    "property2": {      "property1": {        "read": true,        "write": true      },      "property2": {        "read": true,        "write": true      }    }  }}